## djvulibre 3.5.17

=== doc/minilisp/Makefile ===
SHELL=/bin/sh

MINIEXPDIR=../../libdjvu

VPATH=${MINIEXPDIR}

OPTS=-g -O2

CXXFLAGS=-Wall ${OPTS} -I${MINIEXPDIR}

all: minilisp

minilisp: minilisp.o miniexp.o
	${CXX} ${CXXFLAGS} -o $@ minilisp.o miniexp.o

miniexp.o: miniexp.cpp

minilisp.o: minilisp.cpp miniexp.h

clean: FORCE
	-rm minilisp minilisp.o miniexp.o

FORCE:

## djvulibre 3.5.24

=== debian/changelog ===
djvulibre (3.5.24-9ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    crafted DjVu file
    - debian/patches/CVE-2012-6535.patch: improve logic in
      libdjvu/GString.cpp.
    - CVE-2012-6535

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Dec 2013 09:31:59 -0500

djvulibre (3.5.24-9) unstable; urgency=low

  * single debian patch source option (closes: #643094)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Sep 2011 16:57:18 +0100

djvulibre (3.5.24-8) unstable; urgency=low

  * ddjvu_anno_get_xmp consistent prototype vs implementation (closes: #613547)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 22 Jun 2011 11:48:22 +0100

djvulibre (3.5.24-7) unstable; urgency=low

  * upstream fix to page extraction bug (closes: #629941)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 09 Jun 2011 23:06:30 +0100

djvulibre (3.5.24-6) unstable; urgency=low

  * upstream GCC 4.6 fixes
  * upstream MMX fix addresses 32-bit MMX issue (closes: #629235)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 05 Jun 2011 08:08:01 +0100

djvulibre (3.5.24-5) unstable; urgency=low

  * fix kbsd pthreads linkage more gently

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Jun 2011 12:32:53 +0100

djvulibre (3.5.24-4) unstable; urgency=low

  * merge upstream kbsd pthreads linkage mod (closes: #628800)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 01 Jun 2011 15:21:23 +0100

djvulibre (3.5.24-3) unstable; urgency=low

  * merge upstream change with promiscuous inclusions (closes: #625073)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 05 May 2011 08:04:13 +0100

djvulibre (3.5.24-2) unstable; urgency=low

  * do not include .la files per new policy (closes: #621306)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Apr 2011 15:34:38 +0100

djvulibre (3.5.24-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 Mar 2011 10:17:06 +0000

djvulibre (3.5.23-6) unstable; urgency=low

  * tiny patch to libdjvu/miniexp.cpp from  Jacob Wilk (closes: #613549)
  
 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 02 Mar 2011 08:47:43 +0000

djvulibre (3.5.23-5) unstable; urgency=low

  * changes to debian/rules
    - honor DEB_BUILD_OPTIONS=noopt (closes: #613521) and debug
    - remove unused/inappropriate/old variables
    - let upstream ./configure choose optimisation flags; remove all special
      cases for particular broken versions of GCC on particular architectures
    - use dh_auto_make instead of invoking $(MAKE) directly
    - no need for "chmod +x ..." since git maintains that bit
    - remove "INSTALL_PROGRAM = $(INSTALL) --strip", as dh handles it
  * djvulibre-bin depends: same version of libdjvulibre21 (closes: #613530)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Feb 2011 13:37:56 +0000

djvulibre (3.5.23-4) unstable; urgency=low

  * bump to debhelper 8
  * flush djview3, generate djview4 transition package (closes: #604347)
  * flush djvulibre-plugin, to be generated by djview4
  * dh --parallel
  * include phrase "dummy" in package descriptions to silence lintian
  * dpkg source format 3.0 (quilt)
  * upstream has switched to git (debian/README.Debian, debian/copyright)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 12 Feb 2011 13:26:14 +0000

djvulibre (3.5.23-3) unstable; urgency=low

  * revert switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 12 Sep 2010 00:29:16 +0100

djvulibre (3.5.23-2) unstable; urgency=low

  * make any2djvu script not fail to notice assent (closes: #515310)
  * upstream changes fix many bugs
    - djvumake no longer fails with these tiny images (closes: #539272)
    - locale set internally as appropriate, e.g., PDF output (closes: #562156)
      also fixes https://bugs.launchpad.net/ubuntu/+source/djvulibre/+bug/499324
    - thread-related crash addressed, slightly post 3.5.23 (closes: #582961)
  
 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 07 Sep 2010 17:47:42 +0100

djvulibre (3.5.23-1) unstable; urgency=low

  * new upstream release
  * bump policy (debian/control)
  * Ubuntu patch from Benjamin Drung (closes: #592964)
    - use autotools-dev to update config.* files to unclutter debdiffs
    - change recommendation from mozilla-firefox to firefox
  * modernise debian/rules with dh7 overrides, also thanks to Benjamin Drung
  * switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Aug 2010 13:35:37 +0200

djvulibre (3.5.22-9) unstable; urgency=low

  * fix typo in debian/copyright
  * include upstream changes including nsdejavu XtShellStrings fix

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 15 Mar 2010 16:56:46 +0000

djvulibre (3.5.22-8) unstable; urgency=low

  * upstream patch escapes fields in djvused output-* (closes: #564684)
  * ditch libjpeg62-dev dependencies in favour of libjpeg-dev (closes: #569233)
  * rev deb policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Feb 2010 23:47:32 +0000

djvulibre (3.5.22-7) unstable; urgency=low

  * patch typos (closes: #551398)
  * man page install (closes: #561350), note dh_installman would botch i18n

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Dec 2009 14:02:49 -0500

djvulibre (3.5.22-6) unstable; urgency=low

  * patch for typos, thanks Jakub Wilk <ubanus@users.sf.net> (closes: #551109)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 17 Oct 2009 18:16:19 +0100

djvulibre (3.5.22-5) unstable; urgency=low

  * dh ${misc:Depends} for straggler binary packages
  * sh4 patch from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> (closes: #550172)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 08 Oct 2009 13:56:34 +0100

djvulibre (3.5.22-4) unstable; urgency=low

  * Clean lintian issues:
    - rev deb std
    - cease ignoring errors in installation scripts
    - debug package into section: debug
    - dh ${misc:Depends} for all packages



=== debian/control ===
Source: djvulibre
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: autotools-dev (>= 20100122.1~),
	       debhelper (>= 8),
	       libx11-dev,
	       libxext-dev,
	       libxt-dev,
	       libglib2.0-dev,
	       libjpeg-dev,
	       libtiff4-dev | libtiff3g-dev | libtiff-dev,
	       librsvg2-bin | imagemagick
Vcs-Git: git://git.debian.org/git/collab-maint/djvulibre.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/djvulibre.git
Homepage: http://djvu.sourceforge.net/
Standards-Version: 3.9.1

Package: libdjvulibre-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	 libdjvulibre21 (= ${binary:Version}), libjpeg-dev
Description: Development files for the DjVu image format
 DjVu image format static library and development files.
 .
 DjVu is a set of compression technologies, a file format, and a
 software platform for the delivery over the Web of digital documents,
 scanned documents, and high resolution images.
 .
 DjVu documents download and display extremely quickly, and look
 exactly the same on all platforms.  DjVu can be seen as a superior
 alternative to PDF and Postscript for digital documents, to TIFF (and
 PDF) for scanned documents, to JPEG for photographs and pictures, and
 to GIF for large palettized images.  DjVu is the only Web format that
 is practical for distributing high-resolution scanned documents in
 color.

Package: libdjvulibre21
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre-text (>= ${binary:Version})
Conflicts: libdjvulibre1
Replaces: libdjvulibre1, libdjvulibre15
Description: Runtime support for the DjVu image format
 DjVu runtime library.

Package: libdjvulibre-text
Section: libs
Architecture: any
Depends: ${misc:Depends}
Replaces: libdjvulibre15, djview3 (= 3.5.20-9), djvulibre-desktop (<< 3.5.20-9)
Description: Linguistic support files for libdjvulibre
 Runtime linguistic support files for the libdjvulibre library.

Package: djvulibre-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre21 (= ${binary:Version})
Description: Debug symbols for the DjVu image format
 DjVu runtime debug symbols.

Package: djvulibre-desktop
Section: libs
Architecture: any
Depends: ${misc:Depends}
Suggests: djview4 | djvu-viewer | evince
Conflicts: libdjvulibre1, libdjvulibre21 (<= 3.5.20-5)
Replaces: libdjvulibre15 (<= 3.5.20-5)
Description: Desktop support for the DjVu image format
 Miscellaneous files to support the DjVu image format on the desktop.

Package: djview
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, djview4 | djview3
Description: Transition package, djview3 to djview4
 Ease transition from djview3 to djview4 with this dummy package.

Package: djview3
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, djview4
Description: Transition package, djview3 to djview4
 Ease transition from djview3 to djview4 with this dummy package.

Package: djvuserve
Section: web
Recommends: apache | httpd-cgi | httpd
Conflicts: djvulibre-bin (<< 3.5.9-3)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CGI program for unbundling DjVu files on the fly
 CGI program to convert a bundled multi-page DjVu document into an
 indirect DjVu document on the fly.  This provides for efficiently
 browsing large DjVu documents without transferring unnecessary pages.

Package: djvulibre-bin
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libdjvulibre21 (= ${binary:Version})
Recommends: pdf2djvu
Suggests: djvulibre-desktop, djview4 | djvu-viewer | evince
Description: Utilities for the DjVu image format
 Executables including utilities for conversion between DjVu and other
 formats.

=== debian/rules ===
#!/usr/bin/make -f

# extract library major version from source build system
libver0 := $(shell egrep '^LIBDJVU_VER_COMPAT=[0-9]+$$' configure \
		   | head -1 \
		   | sed 's/LIBDJVU_VER_COMPAT=//')

# extract library major version expected by debian packaging
libver := $(shell egrep '^Package: libdjvulibre[0-9]+$$' debian/control \
		  | head -1 \
		  | sed 's/Package: libdjvulibre//')

ifneq ($(libver0),$(libver))
	error inconsistent debian/control library major version
endif

testlibver:
	@echo library major version: upstream $(libver0), debian $(libver) $(libver1) $(libver2)

dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install

$(dh_targets) %:
	dh $@ --with autotools_dev --parallel

.PHONY: $(dh_targets)

configure_options += --disable-desktopfiles
configure_options += --enable-static
configure_options += --enable-shared
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
configure_options += --enable-debug
else ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
# consider modifying the autoconf scripts to accept a --disable-optimization flag
configure_options += --enable-debug
endif

override_dh_auto_configure:
	dh_auto_configure -- $(configure_options)

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

override_dh_auto_make:
	$(MAKE) -k depend	# otherwise a missing Makefile.dep blows up
# deliciously monstrous libtool workaround by Cthulhu via H.P.Lovecraft@ubuntu.com,
# http://patches.ubuntu.com/d/djvulibre/djvulibre_3.5.22-1ubuntu1.patch
ifeq ($(DEB_HOST_GNU_TYPE),arm-linux-gnueabi)
	sed -i.orig '/^LIBS/s/-lm/-lm -lsupc++ -lgcc/' libdjvu/Makefile
	touch -r libdjvu/Makefile.orig libdjvu/Makefile
endif
	dh_auto_make

override_dh_auto_install:
	dh_auto_install
	mkdir --parents debian/tmp/usr/lib/cgi-bin
	cp --preserve=mode,timestamps debian/djvuserve.sh \
		debian/tmp/usr/lib/cgi-bin/djvuserve
	@echo "install djvu icon and mime types"
	for n in 22 32 48 64 ; do \
	  d="debian/tmp/usr/share/icons/hicolor/$${n}x$${n}/mimetypes"; \
	  mkdir --parents $${d}; \
	  install --mode=644 desktopfiles/hi$${n}-djvu.png \
	    $${d}/image-vnd.djvu.png; \
	  ln -sf image-vnd.djvu.png \
	    $${d}/djvu.png; \
	done
	mkdir --parents debian/tmp/usr/share/icons/hicolor/scalable/mimetypes
	install --mode=644 desktopfiles/hi-djvu.svgz \
	  debian/tmp/usr/share/icons/hicolor/scalable/mimetypes/image-vnd.djvu.svgz
	ln -sf image-vnd.djvu.svgz \
	  debian/tmp/usr/share/icons/hicolor/scalable/mimetypes/djvu.svgz
	mkdir --parents debian/tmp/usr/share/mimelnk/image
	install --mode=644 desktopfiles/vnd.djvu.desktop \
	  debian/tmp/usr/share/mimelnk/image/

override_dh_install:
	dh_install
	@echo remove from djvulibre-bin, already in djvuserve
	find debian/djvulibre-bin -name djvuserve\* -print -delete
# 	@echo "remove from djvulibre-bin, not in Debian: needs gsdjvu, direct complaints to AT&T"
# 	find debian/djvulibre-bin -name djvudigital\* -print -delete

override_dh_compress:
	dh_compress --exclude=.djvu

override_dh_strip:
	dh_strip --dbg-package=djvulibre-dbg

override_dh_makeshlibs:
	dh_makeshlibs --version-info --exclude=/plugins

.PHONY: testlibver

## djvulibre 3.5.25

=== debian/changelog ===
djvulibre (3.5.25-1) unstable; urgency=low

  [ Leon Bottou ]
  * new upstream version

  [ Barak A. Pearlmutter ]
  * bump debian standards version
  * bump to dh 9
  * add Leon Bottou as co-maintainer
  * updates for multiarch
    - update debian/*.install for multiarch: /usr/lib/ to /usr/lib/ARCH/
    - ibid for pkgconfig
    - debian/control shared library Pre-Depends: multiarch-support
  * use NEWS file as upstream changelog
  * minor lintian-suggested tweaks to debian/control
  * merge minor upstream changes

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 16 Mar 2012 16:54:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: djvulibre
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: autotools-dev (>= 20100122.1~),
-	       debhelper (>= 8),
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Uploaders: Leon Bottou <leonb@bottou.org>
+Build-Depends: dh-autoreconf,
+	       debhelper (>= 9),
 	       libx11-dev,
 	       libxext-dev,
 	       libxt-dev,
@@ -15,7 +15,7 @@
 Vcs-Git: git://git.debian.org/git/collab-maint/djvulibre.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/djvulibre.git
 Homepage: http://djvu.sourceforge.net/
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 
 Package: libdjvulibre-dev
 Section: libdevel
@@ -38,8 +38,8 @@
  color.
 
 Package: libdjvulibre21
-Section: libs
 Architecture: any
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre-text (>= ${binary:Version})
 Conflicts: libdjvulibre1
 Replaces: libdjvulibre1, libdjvulibre15
@@ -47,7 +47,6 @@
  DjVu runtime library.
 
 Package: libdjvulibre-text
-Section: libs
 Architecture: any
 Depends: ${misc:Depends}
 Replaces: libdjvulibre15, djview3 (= 3.5.20-9), djvulibre-desktop (<< 3.5.20-9)
@@ -63,7 +62,6 @@
  DjVu runtime debug symbols.
 
 Package: djvulibre-desktop
-Section: libs
 Architecture: any
 Depends: ${misc:Depends}
 Suggests: djview4 | djvu-viewer | evince

## djvulibre 3.5.25.2

=== debian/changelog ===
djvulibre (3.5.25.2-1) unstable; urgency=low

  [ Leon Bottou ]
  * new upstream version

  [ Barak A. Pearlmutter ]
  * upstream fix for diezechar issue (closes: #664280)
  * upstream fix for minilisp I/O problem (closes: #664442)
  * include upstream patch completing man page djvused(1) (closes: #551517)
  * allow dh_install to work on non-multiarch build

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 18 Mar 2012 23:09:59 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install
 
 $(dh_targets) %:
-	dh $@ --with autotools_dev --parallel
+	dh $@ --with autoreconf --parallel
 
 .PHONY: $(dh_targets)
 
@@ -79,6 +79,9 @@
 # 	@echo "remove from djvulibre-bin, not in Debian: needs gsdjvu, direct complaints to AT&T"
 # 	find debian/djvulibre-bin -name djvudigital\* -print -delete
 
+override_dh_installchangelogs:
+	dh_installchangelogs --keep NEWS
+
 override_dh_compress:
 	dh_compress --exclude=.djvu

## djvulibre 3.5.25.3

=== debian/changelog ===
djvulibre (3.5.25.3-1ubuntu1) quantal; urgency=low

  * debian/control:
    - Prefer libtiff5-dev to libtiff4-dev

 -- Michael Terry <mterry@ubuntu.com>  Tue, 17 Jul 2012 13:51:45 -0400

djvulibre (3.5.25.3-1) unstable; urgency=low

  * new upstream release
  * remove X11-related build dependencies
  * keep debugging symbols

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 17 Jun 2012 20:37:22 +0100

djvulibre (3.5.25.2-4) unstable; urgency=low

  * generalize pre-dependency
  * remove unused override from debian/rules (closes: #664292)
  * lower djvudigital default resolution from 600 to 300 dpi (closes: #507539)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 08 Apr 2012 23:45:27 +0100

djvulibre (3.5.25.2-3) unstable; urgency=low

  * rsvg-convert not completely plug-compatible replacement (closes: #666475)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 07 Apr 2012 09:10:35 +0100

djvulibre (3.5.25.2-2) unstable; urgency=low

  * switch deprecated rsvg to plug-compatible rsvg-convert (closes: #666475)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 31 Mar 2012 21:51:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: djvulibre
 Section: libs
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Leon Bottou <leonb@bottou.org>
 Build-Depends: dh-autoreconf,
 	       debhelper (>= 9),
-	       libx11-dev,
-	       libxext-dev,
-	       libxt-dev,
 	       libglib2.0-dev,
 	       libjpeg-dev,
-	       libtiff4-dev | libtiff3g-dev | libtiff-dev,
+	       libtiff5-dev | libtiff4-dev | libtiff3g-dev | libtiff-dev,
 	       librsvg2-bin | imagemagick
 Vcs-Git: git://git.debian.org/git/collab-maint/djvulibre.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/djvulibre.git
@@ -39,7 +37,7 @@
 
 Package: libdjvulibre21
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre-text (>= ${binary:Version})
 Conflicts: libdjvulibre1
 Replaces: libdjvulibre1, libdjvulibre15
@@ -47,7 +45,7 @@
  DjVu runtime library.
 
 Package: libdjvulibre-text
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}
 Replaces: libdjvulibre15, djview3 (= 3.5.20-9), djvulibre-desktop (<< 3.5.20-9)
 Description: Linguistic support files for libdjvulibre
@@ -62,7 +60,7 @@
  DjVu runtime debug symbols.
 
 Package: djvulibre-desktop
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}
 Suggests: djview4 | djvu-viewer | evince
 Conflicts: libdjvulibre1, libdjvulibre21 (<= 3.5.20-5)

## djvulibre 3.5.25.4

=== debian/changelog ===
djvulibre (3.5.25.4-3) unstable; urgency=low

  * remove build alts libtiff{5,4,3}-dev (closes: #735997)
  * bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Jan 2014 15:27:16 +0000

djvulibre (3.5.25.4-2) unstable; urgency=low

  * merge upstream patches, including autotools refresh(closes: #722525)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Sep 2013 09:40:49 +0100

djvulibre (3.5.25.4-1) unstable; urgency=low

  * new upstream release
  * merge upstream changes for crash report, see
    http://lists.debian.org/debian-devel/2013/06/msg00720.html
    http://www.forallsecure.com/bug-reports/df37d30856756929f929ec8e508af1a574109c0d/
  * flush dh-exec overkill
  * enable full multiarch support
  * bump standard version
  * canonicalize development repo urls

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 27 Jun 2013 16:23:00 +0100

djvulibre (3.5.25.3-3) unstable; urgency=low

  * multiarch fix via dh-exec lossage
  * merge upstream fixes

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 Nov 2012 11:06:39 +0000

djvulibre (3.5.25.3-2) unstable; urgency=low

  * remove more X11-related build dependencies
  * prefer libtiff5-dev (closes: #681914)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Jul 2012 23:23:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: djvulibre
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Leon Bottou <leonb@bottou.org>
 Build-Depends: dh-autoreconf,
 	       debhelper (>= 9),
-	       libglib2.0-dev,
 	       libjpeg-dev,
-	       libtiff5-dev | libtiff4-dev | libtiff3g-dev | libtiff-dev,
+	       libtiff-dev,
 	       librsvg2-bin | imagemagick
-Vcs-Git: git://git.debian.org/git/collab-maint/djvulibre.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/djvulibre.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/djvulibre.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/djvulibre.git
 Homepage: http://djvu.sourceforge.net/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: libdjvulibre-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	 libdjvulibre21 (= ${binary:Version}), libjpeg-dev
 Description: Development files for the DjVu image format
@@ -37,8 +36,9 @@
 
 Package: libdjvulibre21
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre-text (>= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre-text (>= ${source:Version})
 Conflicts: libdjvulibre1
 Replaces: libdjvulibre1, libdjvulibre15
 Description: Runtime support for the DjVu image format
@@ -46,6 +46,7 @@
 
 Package: libdjvulibre-text
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: libdjvulibre15, djview3 (= 3.5.20-9), djvulibre-desktop (<< 3.5.20-9)
 Description: Linguistic support files for libdjvulibre
@@ -55,6 +56,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre21 (= ${binary:Version})
 Description: Debug symbols for the DjVu image format
  DjVu runtime debug symbols.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
+%:
+	dh $@ --with autoreconf --parallel
+
 # extract library major version from source build system
-libver0 := $(shell egrep '^LIBDJVU_VER_COMPAT=[0-9]+$$' configure \
+libver0 := $(shell egrep '^LIBDJVU_VER_COMPAT=[0-9]+$$' configure.ac \
 		   | head -1 \
 		   | sed 's/LIBDJVU_VER_COMPAT=//')
 
@@ -14,15 +17,10 @@
 	error inconsistent debian/control library major version
 endif
 
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 testlibver:
 	@echo library major version: upstream $(libver0), debian $(libver) $(libver1) $(libver2)
-
-dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install
-
-$(dh_targets) %:
-	dh $@ --with autoreconf --parallel
-
-.PHONY: $(dh_targets)
 
 configure_options += --disable-desktopfiles
 configure_options += --enable-static
@@ -34,20 +32,11 @@
 configure_options += --enable-debug
 endif
 
+# Always keep dubugging symbols
+configure_options += CXXFLAGS=-g
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(configure_options)
-
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-
-override_dh_auto_make:
-	$(MAKE) -k depend	# otherwise a missing Makefile.dep blows up
-# deliciously monstrous libtool workaround by Cthulhu via H.P.Lovecraft@ubuntu.com,
-# http://patches.ubuntu.com/d/djvulibre/djvulibre_3.5.22-1ubuntu1.patch
-ifeq ($(DEB_HOST_GNU_TYPE),arm-linux-gnueabi)
-	sed -i.orig '/^LIBS/s/-lm/-lm -lsupc++ -lgcc/' libdjvu/Makefile
-	touch -r libdjvu/Makefile.orig libdjvu/Makefile
-endif
-	dh_auto_make
 
 override_dh_auto_install:
 	dh_auto_install

## djvulibre 3.5.27.1

=== debian/changelog ===
djvulibre (3.5.27.1-8ubuntu0.4) bionic-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2021-3630.patch: checks correct buffer size
      to use in libdjvu/GString.cpp.
    - CVE-2021-3630

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 01 Jul 2021 10:14:09 -0300

djvulibre (3.5.27.1-8ubuntu0.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Stack overflow
    - debian/patches/CVE-2021-3500.patch: prevent recursion in
      libdjvu/DjVuPort.cpp, libdjvu/DjVuPort.h.
    - CVE-2021-3500
  * SECURITY UPDATE: Out of bounds write
    - debian/patches/CVE-2021-32490.patch: add checks to
      libdjvu/IW44Image.cpp.
    - CVE-2021-32490
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2021-32491.patch: check for overflow in
      tools/ddjvu.cpp.
    - CVE-2021-32491
  * SECURITY UPDATE: Out of bounds read
    - debian/patches/CVE-2021-32492.patch: check pool in
      libdjvu/DataPool.cpp.
    - CVE-2021-32492
  * SECURITY UPDATE: Heap buffer overflow
    - debian/patches/CVE-2021-32493.patch: check row size in
      libdjvu/GBitmap.cpp.
    - CVE-2021-32493
  * debian/patches: rename debian-changes to changes.patch to simplify
    maintenance.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 May 2021 09:19:55 -0400

djvulibre (3.5.27.1-8ubuntu0.2) bionic; urgency=medium

  * debian/patches/git_cpu_fix.patch:
    - don't segfault when trying to open document on an atom based config
      (lp: #1846785)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 May 2020 23:32:10 +0200

djvulibre (3.5.27.1-8ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: heap-based buffer overread
    - debian/patches/CVE-2019-15142-pre1.patch: fix lengths in
      libdjvu/DjVmDir.cpp, libdjvu/miniexp.cpp, tools/csepdjvu.cpp.
    - debian/patches/CVE-2019-15142.patch: add checks to
      libdjvu/DjVmDir.cpp.
    - CVE-2019-15142
  * SECURITY UPDATE: infinite loop in bitmap reader
    - debian/patches/CVE-2019-15143.patch: check return code in
      libdjvu/GBitmap.cpp, libdjvu/DjVmDir.cpp.
    - CVE-2019-15143
  * SECURITY UPDATE: uncontrolled recursion in sorting
    - debian/patches/CVE-2019-15144.patch: fix logic in
      libdjvu/GContainer.h.
    - CVE-2019-15144
  * SECURITY UPDATE: out of bounds read
    - debian/patches/CVE-2019-15145.patch: check bytes in
      libdjvu/GBitmap.h.
    - CVE-2019-15145
  * SECURITY UPDATE: NULL pointer dereference in DJVU::filter_fv
    - debian/patches/CVE-2019-18804.patch: add extra checks to
      libdjvu/IW44EncodeCodec.cpp, tools/ddjvu.cpp.
    - CVE-2019-18804

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 20 Nov 2019 10:26:08 -0500

djvulibre (3.5.27.1-8) unstable; urgency=medium

  * track upstream updates
  * bump policy, no changes required
  * use dh10 defaults in debian/rules
  * remove now-autogenerated debian/control -dbg stanza
  * secure repo url

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 09 Oct 2017 13:59:39 +0100

djvulibre (3.5.27.1-7) unstable; urgency=medium

  * bump to debhelper 10
  * update any2djvu server URL in any2djvu script (closes: #843009)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 03 Nov 2016 11:03:32 +0000

djvulibre (3.5.27.1-6) unstable; urgency=medium

  * track upstream fixes and updates, including to djvudigital
  * bump standards version
  * enable hardening

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 17 Aug 2016 22:35:47 +0200

djvulibre (3.5.27.1-5) unstable; urgency=medium

  * guard find command in debian/rules (closes: 806017)
  * merge upstream update which works around qt5 issue (closes: 804888)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 24 Nov 2015 15:58:16 +0000

djvulibre (3.5.27.1-4) unstable; urgency=medium

  * merge minor upstream maintenance updates

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Oct 2015 14:16:13 +0000

djvulibre (3.5.27.1-3) unstable; urgency=medium

  * use mktemp in shell script if available (closes: #775193)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Aug 2015 14:03:10 +0200

djvulibre (3.5.27.1-2) unstable; urgency=medium

  * merge upstream fix for string issue (closes: #784785)
  * merge upstream signed/unsigned fix (closes: #784919)
  * use gzip -n option for reproducible build (closes: #790371)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Jun 2015 09:18:13 +0300

djvulibre (3.5.27.1-1) unstable; urgency=medium

  * freeze is over, can target to unstable once more
  * new upstream release
    - has max image size check (closes: #781255)
  * merge minor upstream patch to djvumake
  * use mktemp in djvudigital (closes: #775193)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 May 2015 09:24:00 +0100

djvulibre (3.5.27-0pre1) experimental; urgency=medium

  [ Leon Bottou ]
  * Prepare rev 3.5.27

  [ Barak A. Pearlmutter ]
  * upstream fixes for
    - GC multithreading deadlock (closes: #775857)
    - invalid input JPEG (closes: #777404)
  * ack migration of packaging functionality to upstream build system
  * prep for experimental release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Feb 2015 22:19:07 +0000

djvulibre (3.5.26-1) experimental; urgency=medium

  * upstream reworked build system, uses automake and pkg-config
  * move debian vs upstream library version check into dh_testdir
  * add --list-missing option to dh_install
  * update upstream git URL
  * new upstream release
  * merge upstream patches
    - afdbb99 acquire global lock while destroying gctls_t

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 06 Jan 2015 05:57:36 -0500

djvulibre (3.5.25.4-4) unstable; urgency=medium

  * merge upstream patches
   - f794f2d meta-data --> metadata.
   - 6262fcc Update config/libtool.m4 to support ppc64le.
   - 9e32594 Regenerate autotools files with new config/libtool.m4
   - 4e62915 Fix to djvutoxml by "Imperatore" (bug 227)
   - 93a13dd csepdjvu handles utf16 outlines



=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: djvulibre
 Section: libs
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Leon Bottou <leonb@bottou.org>
-Build-Depends: dh-autoreconf,
-	       debhelper (>= 9),
+Build-Depends: pkg-config,
+	       debhelper (>= 10),
 	       libjpeg-dev,
 	       libtiff-dev,
 	       librsvg2-bin | imagemagick
-Vcs-Git: git://anonscm.debian.org/collab-maint/djvulibre.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/djvulibre.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/djvulibre.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/djvulibre.git
 Homepage: http://djvu.sourceforge.net/
-Standards-Version: 3.9.5
+Standards-Version: 4.1.1
 
 Package: libdjvulibre-dev
 Section: libdevel
@@ -52,15 +53,6 @@
 Description: Linguistic support files for libdjvulibre
  Runtime linguistic support files for the libdjvulibre library.
 
-Package: djvulibre-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre21 (= ${binary:Version})
-Description: Debug symbols for the DjVu image format
- DjVu runtime debug symbols.
-
 Package: djvulibre-desktop
 Architecture: all
 Depends: ${misc:Depends}
@@ -72,14 +64,14 @@
 
 Package: djview
 Section: graphics
-Architecture: any
+Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, djview4 | djview3
 Description: Transition package, djview3 to djview4
- Ease transition from djview3 to djview4 with this dummy package.
+ Ease transition from djview or djview3 to djview4 with this dummy package.
 
 Package: djview3
 Section: graphics
-Architecture: any
+Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, djview4
 Description: Transition package, djview3 to djview4
  Ease transition from djview3 to djview4 with this dummy package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# extract library major version from source build system
libver0 := $(shell \
	egrep 'm4_define..lt_compat.,' configure.ac \
	 | head -1 \
	 | sed 's:m4_define::' \
	 | tr --delete --complement '[:digit:]')

# extract library major version expected by debian packaging
libver := $(shell egrep '^Package: libdjvulibre[0-9]+$$' debian/control \
		  | head -1 \
		  | sed 's/Package: libdjvulibre//')

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

configure_options += --enable-static
configure_options += --enable-shared
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
configure_options += --enable-debug
else ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
# consider modifying the autoconf scripts to accept a --disable-optimization flag
configure_options += --enable-debug
endif

override_dh_testdir:
	@echo "library major version: upstream $(libver0), debian $(libver)"
ifneq ($(libver0),$(libver))
	echo "error: inconsistent upstream and debian/control library major version"
	exit 1
endif
	dh_testdir

override_dh_auto_configure:
	dh_auto_configure -- $(configure_options)

override_dh_auto_install:
	dh_auto_install
	mkdir --parents debian/tmp/usr/lib/cgi-bin
	cp --preserve=mode,timestamps debian/djvuserve.sh \
		debian/tmp/usr/lib/cgi-bin/djvuserve

override_dh_install:
	dh_install --list-missing
	@echo remove from djvulibre-bin, already in djvuserve
	if test -d debian/djvulibre-bin; then find debian/djvulibre-bin -name djvuserve\* -print -delete; fi
# 	@echo "remove from djvulibre-bin, not in Debian: needs gsdjvu, direct complaints to AT&T"
# 	find debian/djvulibre-bin -name djvudigital\* -print -delete

override_dh_installchangelogs:
	dh_installchangelogs --keep NEWS

override_dh_compress:
	dh_compress --exclude=.djvu

override_dh_makeshlibs:
	dh_makeshlibs --version-info --exclude=/plugins

## djvulibre 3.5.27.1.4

=== debian/changelog ===
djvulibre (3.5.27.1.4-1+dde) unstable; urgency=medium

  * fix CVE-2021-3500

 -- Meng Tang <tangmeng@uniontech.com>  Fri, 12 Aug 2022 10:57:15 +0800

djvulibre (3.5.27.1.3-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Update version number

 -- chendu <chendu@uniontech.com>  Thur, 25 Nov 2021 14:46:42 +0800

djvulibre (3.5.27.1.2-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fix a stack-overflow in "libdjvu/DjVuFile.cpp"

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 19 Mar 2021 09:38:42 +0800

djvulibre (3.5.27.1.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- liuxin <liuxin@uniontech.com>  Sun, 05 Jul 2020 18:12:39 +0800

djvulibre (3.5.27.1-10) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Barak A. Pearlmutter ]
  * track upstream updates
  * bump policy, no changes required

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 Nov 2018 14:51:55 +0000

djvulibre (3.5.27.1-9) unstable; urgency=medium

  * bump to debhelper 11
  * bump policy, no changes required
  * stop including mimetype xml file in desktop package, and rename icons.
    For details see https://sourceforge.net/p/djvu/bugs/283/
  * adjust to upstream renaming of documentation

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 30 Apr 2018 17:13:35 +0100

## djvulibre 3.5.28

=== debian/changelog ===
djvulibre (3.5.28-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2021-46310: Divide by zero in IW44Image::Map::image()
    (Closes: #1052668)
  * CVE-2021-46312: Divide by zero in IWBitmap::Encode::init()
    (Closes: #1052669)

 -- Adrian Bunk <bunk@debian.org>  Fri, 18 Jul 2025 20:57:51 +0300

djvulibre (3.5.28-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix potential buffer overflow in MMRDecoder (CVE-2025-53367)
    (Closes: #1108729)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 04 Jul 2025 07:38:58 +0200

djvulibre (3.5.28-2) unstable; urgency=high

  * bump policy version
  * Include Fedora 3.5.27 patches, foward ported, taken from djvulibre.spec in
    https://src.fedoraproject.org/rpms/djvulibre.git
    - Patch0: djvulibre-3.5.22-cdefs.patch                    (forward ported)
    - #Patch1: djvulibre-3.5.25.3-cflags.patch              (disabled in Fedora)
    - Patch2: djvulibre-3.5.27-buffer-overflow.patch        (UPSTREAMED)
    - Patch3: djvulibre-3.5.27-infinite-loop.patch          (UPSTREAMED)
    - Patch4: djvulibre-3.5.27-stack-overflow.patch         (UPSTREAMED)
    - Patch5: djvulibre-3.5.27-zero-bytes-check.patch       (UPSTREAMED)
    - Patch6: djvulibre-3.5.27-export-file.patch              (forward ported)
    - Patch7: djvulibre-3.5.27-null-dereference.patch       (UPSTREAMED)
    - Patch8: djvulibre-3.5.27-check-image-size.patch         (forward ported)
    - Patch9: djvulibre-3.5.27-integer-overflow.patch         (forward ported)
    - Patch10: djvulibre-3.5.27-check-input-pool.patch        (forward ported)
    - Patch11: djvulibre-3.5.27-djvuport-stack-overflow.patch (forward ported)
    - Patch12: djvulibre-3.5.27-unsigned-short-overflow.patch (forward ported)
    These address a number of crashes and security issues, including
    CVE-2021-3500 (closes: #988215)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 May 2021 18:56:59 +0100

djvulibre (3.5.28-1) unstable; urgency=medium

  [ Leon Bottou ]
  * version number change

  [ Barak A. Pearlmutter ]
  * rules does not require root
  * version-4 debian/watch uscan support file

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 23 Nov 2020 13:10:15 +0000

djvulibre (3.5.27.1-15) unstable; urgency=medium

  * bump to debhelper 13
  * bump policy version
  * track upstream including libtiff bug fix (closes: #962779)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 22 Jul 2020 15:18:20 +0100

djvulibre (3.5.27.1-14) unstable; urgency=medium

  * Merge upstream fix for CVE-2019-18804 (closes: #945114)
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 21 Nov 2019 15:30:21 +0000

djvulibre (3.5.27.1-13) unstable; urgency=medium

  * track upstream bug fixes
  * Run lintian-brush:
    - Add missing colon in closes line.
    - Set upstream metadata fields: Archive.

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 11 Sep 2019 14:12:18 +0100

djvulibre (3.5.27.1-12) unstable; urgency=medium

  * track upstream bug fixes and such
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 10 Aug 2019 13:48:53 +0200

djvulibre (3.5.27.1-11) unstable; urgency=medium

  * track upstream bug fixes
  * bump policy and debhelper versions
  * declare djvulibre-bin multi-arch_foreign (closes: #930064)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Jun 2019 13:54:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: djvulibre
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Leon Bottou <leonb@bottou.org>
 Build-Depends: pkg-config,
-	       debhelper (>= 10),
+	       debhelper-compat (= 13),
 	       libjpeg-dev,
 	       libtiff-dev,
 	       librsvg2-bin | imagemagick
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/djvulibre.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/djvulibre.git
+Vcs-Git: https://salsa.debian.org/debian/djvulibre.git
+Vcs-Browser: https://salsa.debian.org/debian/djvulibre
 Homepage: http://djvu.sourceforge.net/
-Standards-Version: 4.1.1
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 
 Package: libdjvulibre-dev
 Section: libdevel
@@ -78,7 +78,7 @@
 
 Package: djvuserve
 Section: web
-Recommends: apache | httpd-cgi | httpd
+Recommends: apache2 | apache | httpd-cgi | httpd
 Conflicts: djvulibre-bin (<< 3.5.9-3)
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -90,6 +90,7 @@
 Package: djvulibre-bin
 Section: graphics
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libdjvulibre21 (= ${binary:Version})
 Recommends: pdf2djvu
 Suggests: djvulibre-desktop, djview4 | djvu-viewer | evince

=== debian/rules ===
--- 
+++ 
@@ -39,15 +39,13 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(configure_options)
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	mkdir --parents debian/tmp/usr/lib/cgi-bin
 	cp --preserve=mode,timestamps debian/djvuserve.sh \
 		debian/tmp/usr/lib/cgi-bin/djvuserve
 
-override_dh_install:
-	dh_install --list-missing
-	@echo remove from djvulibre-bin, already in djvuserve
+execute_after_dh_install:
+	@echo "remove from djvulibre-bin, already in djvuserve"
 	if test -d debian/djvulibre-bin; then find debian/djvulibre-bin -name djvuserve\* -print -delete; fi
 # 	@echo "remove from djvulibre-bin, not in Debian: needs gsdjvu, direct complaints to AT&T"
 # 	find debian/djvulibre-bin -name djvudigital\* -print -delete
@@ -60,3 +58,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs --version-info --exclude=/plugins
+
+override_dh_missing:
+	dh_missing --list-missing

## djvulibre 3.5.29

=== debian/changelog ===
djvulibre (3.5.29-1) unstable; urgency=medium

  * Most patches merged upstream
  * Multiarch hinter suggests marking djvulibre-desktop as Multi-Arch: foreign
  * Bump policy version
  * New upstream version
    - includes 0008-Fix-potential-buffer-overflow-in-MMRDecoder.patch
  * Track upstream bug fixes
  * Remove unnecssary rules-requires-root:no line

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Sep 2025 15:42:58 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
 	       librsvg2-bin | imagemagick
 Vcs-Git: https://salsa.debian.org/debian/djvulibre.git
 Vcs-Browser: https://salsa.debian.org/debian/djvulibre
-Homepage: http://djvu.sourceforge.net/
-Standards-Version: 4.5.1
-Rules-Requires-Root: no
+Homepage: https://djvu.sourceforge.net/
+Standards-Version: 4.7.2
 
 Package: libdjvulibre-dev
 Section: libdevel
@@ -49,15 +48,16 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Replaces: libdjvulibre15, djview3 (= 3.5.20-9), djvulibre-desktop (<< 3.5.20-9)
+Replaces: libdjvulibre15
 Description: Linguistic support files for libdjvulibre
  Runtime linguistic support files for the libdjvulibre library.
 
 Package: djvulibre-desktop
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: djview4 | djvu-viewer | evince
-Conflicts: libdjvulibre1, libdjvulibre21 (<= 3.5.20-5)
+Conflicts: libdjvulibre1
 Replaces: libdjvulibre15 (<= 3.5.20-5)
 Description: Desktop support for the DjVu image format
  Miscellaneous files to support the DjVu image format on the desktop.
@@ -78,8 +78,7 @@
 
 Package: djvuserve
 Section: web
-Recommends: apache2 | apache | httpd-cgi | httpd
-Conflicts: djvulibre-bin (<< 3.5.9-3)
+Recommends: apache2 | httpd-cgi | httpd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CGI program for unbundling DjVu files on the fly

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 
+# for DEB_HOST_MULTIARCH
+include /usr/share/dpkg/default.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
@@ -16,8 +18,6 @@
 libver := $(shell egrep '^Package: libdjvulibre[0-9]+$$' debian/control \
 		  | head -1 \
 		  | sed 's/Package: libdjvulibre//')
-
-export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 configure_options += --enable-static
 configure_options += --enable-shared
